=== debian/changelog ===
ros-melodic-wave-gazebo (1.3.0-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 25 Dec 2019 23:00:00 -0000

ros-melodic-wave-gazebo (1.2.6-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Thu, 03 Oct 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.5-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.4-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.3-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 11 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.2-1stretch) stretch; urgency=high



 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Thu, 05 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.1-1stretch) stretch; urgency=high

  * remove gazebo version check, scene blend
  * Reduce noise back down
  * Change to have distortion in both refl and refr
  * Add rttNoise parameter to scale distortion in refraction
  * Switch ratio->opacity naming
  * Add back ocean transparency
  * Change to realistic reflection and refraction ratio
  * Simplify by using bumpCoord
  * Working refraction
  * Fix build issues and document enableRtt
  * Simplify flipAcrossY in shader
  * Add flipAcrossY temp fix for camera sensors
  * Increase reflection for easier debugging, rm redundant code, writeContentsToFile
  * Fix model.xacro.erb to match without 2nd plugin and add offset
  * Attempt to merge
  * Namespace tweaks.
  * Move ocean_visual_below slightly to stop interference and wrong colors cutting in/out
  * Add back ocean_waves_below_visual, without Visual Plugin, working as expected
  * Define refl/refr amounts in model.xacro, then use visual plugin to set the parameters
  * Add envReflectRatio and shallowRefractRatio variables
  * Add comments, clean code, pass code check
  * Reduce reflection and refraction amounts to make more subtle effect
  * Integrate reflection with Gerstner waves, working well
  * Fixes for the new topic layout.
  * Show updated render picture
  * Use reflection color
  * Change plane->mesh, still shows correct reflection texture but projected onto the mesh wrong
  * Change mesh->plane and show pure reflection color on it, working well but need to switch back to mesh
  * Add reflection/refraction texture to shaders, but do not use yet
  * Merge
  * merged with master
  * Remove unneeded files
  * Add missing part of Fresnel
  * Remove fresnel and noise effects
  * Refactor C++ code and change shaders to match version 130
  * Copy over files from gazebo_plugin_setup
  * Add changes recommended by Ian
  * Move reflectMap to default params
  * Test hardcoding fragment shader to red, not working
  * Remove random text
  * Small fix (add void)
  * Remove version and add back reflectMap
  * Simplify shaders and texture, still has exception about reflectMap
  * Try to improve plane, no difference
  * Use shaders to show texture
  * Try to use shaders, but not working
  * Comment out shader and most of material (near empty material), in C++ get material and give it a texture, but will not run
  * Contributors: Carlos Aguero, Ian Chen <mailto:ichen@osrfoundation.org>, Rumman Waqar <mailto:rumman.waqar05@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>

 -- Rhys Mainwaring <rhys.mainwaring@me.com>  Wed, 04 Sep 2019 22:00:00 -0000

ros-melodic-wave-gazebo (1.2.0-1stretch) stretch; urgency=high

  * Try to change material script to match the newly created texture, did not work
  * Rewrite code to match with rendertotexture tutorial
  * Hide minimap, water constant texture, try get plane to be reflection, shows reflection but wrong geometry
  * Add texture material to water
  * Remove enable/disable refl to fix render issue
  * Change to ogre user camera pos and orient, try but fail shaders
  * Scale plane and mesh to show it
  * Flip plane to be flat, need to next hide the original water
  * Test removing preset shader/texture to see if water will update, will not BIG CHANGES SOON
  * Create new texture unit
  * Change texture name, miniscreen and plane work but not water
  * Try to change ocean to show the texture, did not work yet
  * Change position and angle of camera
  * Add reflection texture empty
  * Remove textures
  * Move ocean visual plane upwards
  * Use gl_ModelViewProjectionMatrix to see colorful ocean
  * Work off ocean model, clean out visual plugin and use new simple material scripts
  * Merged default into topic_namespace_generation
  * fix catkin make install issues with meshes
  * Fix source paths and variable keywords
  * merged with default
  * removed sdf
  * Copy over Fresnel materials files
  * merge default
  * Merged default into Add-Option-To-Hide-Gazebo-Topics
  * Merged in xacro_for_oceanwaves (pull request #153)
    Modiying world definitions in wave_gazebo package to use xacro
    Approved-by: Carlos Agüero <mailto:cen.aguero@gmail.com>
  * Style.
  * Modiying world definitions in wave_gazebo package to use xacro
  * Merged in ocean-wave-xacro (pull request #150)
    Ocean wave xacro
    Approved-by: Marshall Rawson <mailto:marshallrawson@osrfoundation.org>
  * cleaning
  * added spinning out detection
  * incremental
  * removed erb from CMake
  * removed ocean-waves-sdf
  * functional?
  * incremental
  * functional
  * approximate 4x4 dock block as a sphere
  * merge
  * fixed dock inertial issues
  * model.sdf.erb edited online with Bitbucket
  * model.sdf.erb edited online with Bitbucket
  * model.sdf.erb edited online with Bitbucket
  * added <laser_retro>-1 flags to new wave visual links
  * functional
  * Install world_models in wave_gazebo

