=== debian/control ===
Source: ros-melodic-wave-gazebo
Section: misc
Priority: optional
Maintainer: Rhys Mainwaring <rhys.mainwaring@me.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-xacro, ruby, ruby-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-wave-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-ros, ros-melodic-wave-gazebo-plugins, ros-melodic-xacro
Description: This package contains Gazebo media, models and worlds for simulating water waves and dynamics for surface vessels.
 There are ROS launch scripts that may be used to launch a Gazebo session and load a world and models using `roslaunch`.
